## ros-melodic-grid-map-rviz-plugin 1.6.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5.1)
project(grid_map_rviz_plugin)

set(CMAKE_CXX_FLAGS "-std=c++11 ${CMAKE_CXX_FLAGS}")

set(CMAKE_EXPORT_COMPILE_COMMANDS ON)

find_package(catkin REQUIRED
  COMPONENTS
    rviz
    grid_map_ros
    grid_map_msgs
)

catkin_package(
  INCLUDE_DIRS
    include
  LIBRARIES
    ${PROJECT_NAME}
  CATKIN_DEPENDS
    rviz
    grid_map_ros
    grid_map_msgs
)

include_directories(
  include
  SYSTEM
    ${catkin_INCLUDE_DIRS}
)

link_directories(${catkin_LIBRARY_DIRS})

## This setting causes Qt's "MOC" generation to happen automatically.
set(CMAKE_AUTOMOC ON)

set(INCLUDE_FILES_QT
  include/grid_map_rviz_plugin/GridMapDisplay.hpp
  include/grid_map_rviz_plugin/modified/message_filter_display.h
  include/grid_map_rviz_plugin/modified/frame_manager.h
)

## This plugin includes Qt widgets, so we must include Qt.
## We'll use the version that rviz used so they are compatible.
if(rviz_QT_VERSION VERSION_LESS "5")
  message(STATUS "Using Qt4 based on the rviz_QT_VERSION: ${rviz_QT_VERSION}")
  find_package(Qt4 ${rviz_QT_VERSION} EXACT REQUIRED QtCore QtGui)
  ## pull in all required include dirs, define QT_LIBRARIES, etc.
  include(${QT_USE_FILE})
  qt4_wrap_cpp(MOC_FILES
    ${INCLUDE_FILES_QT}
  )
else()
  message(STATUS "Using Qt5 based on the rviz_QT_VERSION: ${rviz_QT_VERSION}")
  find_package(Qt5 ${rviz_QT_VERSION} EXACT REQUIRED Core Widgets)
  ## make target_link_libraries(${QT_LIBRARIES}) pull in all required dependencies
  set(QT_LIBRARIES Qt5::Widgets)
  QT5_WRAP_CPP(MOC_FILES
    ${INCLUDE_FILES_QT}
  )
endif()

## Avoid Qt signals and slots defining "emit", "slots", etc.
add_definitions(-DQT_NO_KEYWORDS)

## The list of source files.
## The generated MOC files are included automatically as headers.
set(SOURCE_FILES
  src/GridMapDisplay.cpp
  src/GridMapVisual.cpp
)

## An rviz plugin is just a shared library, so here we declare the
## library to be called ${PROJECT_NAME} and specify the list of
## source files we collected above in ${SOURCE_FILES}.
add_library(${PROJECT_NAME}
  ${SOURCE_FILES}
  ${MOC_FILES}
)

## Link the executable with whatever Qt libraries have been defined by
## the find_package(Qt4 ...) line above, or by the
## set(QT_LIBRARIES Qt5::Widgets), and with whatever libraries
## catkin has included.
target_link_libraries(${PROJECT_NAME}
  ${QT_LIBRARIES}
  ${catkin_LIBRARIES}
)

## Install rules
install(
  DIRECTORY include/${PROJECT_NAME}
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

install(
  TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(
  FILES plugin_description.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(
  DIRECTORY icons
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/icons
)

install(
  DIRECTORY doc
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

#############
## Testing ##
#############

if (CATKIN_ENABLE_TESTING)
  catkin_add_gtest(${PROJECT_NAME}-test
    test/test_grid_map_rviz_plugin.cpp
    test/empty_test.cpp
  )
  target_include_directories(${PROJECT_NAME}-test PRIVATE
    include
  )
  target_include_directories(${PROJECT_NAME}-test SYSTEM PUBLIC
    ${catkin_INCLUDE_DIRS}
    ${EIGEN3_INCLUDE_DIRS}
  )
  target_link_libraries(${PROJECT_NAME}-test
    ${PROJECT_NAME}
    ${catkin_LIBRARIES}
  )

  ###################
  ## Code_coverage ##
  ###################
  find_package(cmake_code_coverage QUIET)
  if(cmake_code_coverage_FOUND)
    add_gtest_coverage(
      TEST_BUILD_TARGETS
        ${PROJECT_NAME}-test
    )
  endif()
endif()

#################
## Clang_tools ##
#################
find_package(cmake_clang_tools QUIET)
if(cmake_clang_tools_FOUND)
  add_default_clang_tooling(
    DISABLE_CLANG_FORMAT
  )
endif(cmake_clang_tools_FOUND)

## ros-melodic-grid-map-rviz-plugin 1.6.2

=== debian/changelog ===
ros-melodic-grid-map-rviz-plugin (1.6.2-1stretch) stretch; urgency=high



 -- Péter Fankhauser <pfankhauser@anybotics.com>  Sun, 13 Oct 2019 22:00:00 -0000

ros-melodic-grid-map-rviz-plugin (1.6.1-1stretch) stretch; urgency=high

  * Made FrameManager and MessageFilterDisplay ROS version dependent.
  * Update to tf2 MessageFilters
  * Updated host changes.
  * Updated author e-mail address.
  * Contributors: Marco Sütterlin, Peter Fankhauser, Péter Fankhauser

 -- Péter Fankhauser <pfankhauser@anybotics.com>  Tue, 26 Feb 2019 23:00:00 -0000

ros-melodic-grid-map-rviz-plugin (1.6.0-1stretch) stretch; urgency=high

  * Added option to rviz plugin to hide color faces.
  * Fixed bug for RViz plugin.
  * Fixing cpp-check warnings and errors.
  * Contributors: Péter Fankhauser

 -- Péter Fankhauser <pfankhauser@anybotics.com>  Thu, 23 Nov 2017 23:00:00 -0000

ros-melodic-grid-map-rviz-plugin (1.5.2-1stretch) stretch; urgency=high

  * Fixes error in grid_map_rviz_plugin when rendering lines.
  * Contributors: Peter Fankhauser

 -- Péter Fankhauser <pfankhauser@anybotics.com>  Mon, 24 Jul 2017 22:00:00 -0000

ros-melodic-grid-map-rviz-plugin (1.5.1-1stretch) stretch; urgency=high



 -- Péter Fankhauser <pfankhauser@anybotics.com>  Mon, 24 Jul 2017 22:00:00 -0000

ros-melodic-grid-map-rviz-plugin (1.5.0-1stretch) stretch; urgency=high

  * Improved visualization to support triangles in all directions.
  * Fixes transparency issue for grid maps in RViz. (#68 <https://github.com/anybotics/grid_map/issues/68>).
  * Fixed package XML tag.
  * Contributors: Perry Franklin, Stefan Fabian, Peter Fankhauser

 -- Péter Fankhauser <pfankhauser@anybotics.com>  Mon, 17 Jul 2017 22:00:00 -0000

ros-melodic-grid-map-rviz-plugin (1.4.2-1stretch) stretch; urgency=high

  * Cleanup thanks to message traits.
  * Contributors: Peter Fankhauser

 -- Péter Fankhauser <pfankhauser@anybotics.com>  Mon, 23 Jan 2017 23:00:00 -0000

ros-melodic-grid-map-rviz-plugin (1.4.1-1stretch) stretch; urgency=high

  * Added functionality to display color from grid map layer.
  * Added better handling of basic layers in Grid Map RViz plugin.
  * Added functionality to invert rainbow colors in RViz plugin.
  * Contributors: Philipp Kruesi, Péter Fankhauser

 -- Péter Fankhauser <pfankhauser@anybotics.com>  Sat, 22 Oct 2016 22:00:00 -0000

ros-melodic-grid-map-rviz-plugin (1.4.0-1stretch) stretch; urgency=high

  * Added new package grid_map_rviz_plugin to visualize grid map layers as 3d surfaces.
  * Updated documentation.
  * Contributors: Péter Fankhauser, Philipp Kruesi

 -- Péter Fankhauser <pfankhauser@anybotics.com>  Sun, 21 Aug 2016 22:00:00 -0000

=== debian/control ===
Source: ros-melodic-grid-map-rviz-plugin
Section: misc
Priority: optional
Maintainer: Péter Fankhauser <pfankhauser@anybotics.com>
Build-Depends: debhelper (>= 9.0.0), qtbase5-dev, ros-melodic-catkin, ros-melodic-grid-map-msgs, ros-melodic-grid-map-ros, ros-melodic-rviz
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-grid-map-rviz-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt5core5a, libqt5gui5, libqt5widgets5, ros-melodic-grid-map-msgs, ros-melodic-grid-map-ros, ros-melodic-rviz
Description: RViz plugin for displaying grid map messages.

## ros-melodic-grid-map-rviz-plugin 1.6.4

=== debian/changelog ===
ros-melodic-grid-map-rviz-plugin (1.6.4-2bionic) bionic; urgency=high



 -- Maximilian Wulf <mwulf@anybotics.com>  Thu, 03 Dec 2020 23:00:00 -0000

ros-melodic-grid-map-rviz-plugin (1.6.2-2bionic) bionic; urgency=high



 -- Péter Fankhauser <pfankhauser@anybotics.com>  Sun, 13 Oct 2019 22:00:00 -0000

ros-melodic-grid-map-rviz-plugin (1.6.1-2bionic) bionic; urgency=high

  * Made FrameManager and MessageFilterDisplay ROS version dependent.
  * Update to tf2 MessageFilters
  * Updated host changes.
  * Updated author e-mail address.
  * Contributors: Marco Sütterlin, Peter Fankhauser, Péter Fankhauser

 -- Péter Fankhauser <pfankhauser@anybotics.com>  Tue, 26 Feb 2019 23:00:00 -0000

ros-melodic-grid-map-rviz-plugin (1.6.0-2bionic) bionic; urgency=high

  * Added option to rviz plugin to hide color faces.
  * Fixed bug for RViz plugin.
  * Fixing cpp-check warnings and errors.
  * Contributors: Péter Fankhauser

 -- Péter Fankhauser <pfankhauser@anybotics.com>  Thu, 23 Nov 2017 23:00:00 -0000

ros-melodic-grid-map-rviz-plugin (1.5.2-2bionic) bionic; urgency=high

  * Fixes error in grid_map_rviz_plugin when rendering lines.
  * Contributors: Peter Fankhauser

 -- Péter Fankhauser <pfankhauser@anybotics.com>  Mon, 24 Jul 2017 22:00:00 -0000

ros-melodic-grid-map-rviz-plugin (1.5.1-2bionic) bionic; urgency=high



 -- Péter Fankhauser <pfankhauser@anybotics.com>  Mon, 24 Jul 2017 22:00:00 -0000

ros-melodic-grid-map-rviz-plugin (1.5.0-2bionic) bionic; urgency=high

  * Improved visualization to support triangles in all directions.
  * Fixes transparency issue for grid maps in RViz. (#68 <https://github.com/anybotics/grid_map/issues/68>).
  * Fixed package XML tag.
  * Contributors: Perry Franklin, Stefan Fabian, Peter Fankhauser

 -- Péter Fankhauser <pfankhauser@anybotics.com>  Mon, 17 Jul 2017 22:00:00 -0000

ros-melodic-grid-map-rviz-plugin (1.4.2-2bionic) bionic; urgency=high

  * Cleanup thanks to message traits.
  * Contributors: Peter Fankhauser

 -- Péter Fankhauser <pfankhauser@anybotics.com>  Mon, 23 Jan 2017 23:00:00 -0000

ros-melodic-grid-map-rviz-plugin (1.4.1-2bionic) bionic; urgency=high

  * Added functionality to display color from grid map layer.
  * Added better handling of basic layers in Grid Map RViz plugin.
  * Added functionality to invert rainbow colors in RViz plugin.
  * Contributors: Philipp Kruesi, Péter Fankhauser

 -- Péter Fankhauser <pfankhauser@anybotics.com>  Sat, 22 Oct 2016 22:00:00 -0000

ros-melodic-grid-map-rviz-plugin (1.4.0-2bionic) bionic; urgency=high

  * Added new package grid_map_rviz_plugin to visualize grid map layers as 3d surfaces.
  * Updated documentation.
  * Contributors: Péter Fankhauser, Philipp Kruesi

 -- Péter Fankhauser <pfankhauser@anybotics.com>  Sun, 21 Aug 2016 22:00:00 -0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: ros-melodic-grid-map-rviz-plugin
 Section: misc
 Priority: optional
-Maintainer: Péter Fankhauser <pfankhauser@anybotics.com>
-Build-Depends: debhelper (>= 9.0.0), qtbase5-dev, ros-melodic-catkin, ros-melodic-grid-map-msgs, ros-melodic-grid-map-ros, ros-melodic-rviz
+Maintainer: Maximilian Wulf <mwulf@anybotics.com>
+Build-Depends: debhelper (>= 9.0.0), libgtest-dev, qtbase5-dev, ros-melodic-catkin, ros-melodic-grid-map-msgs, ros-melodic-grid-map-ros, ros-melodic-rviz
 Homepage: 
 Standards-Version: 3.9.2

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-grid-map-rviz-plugin//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
